#!/bin/sh

cd `dirname $0`
CDIR=`pwd`
DNHOME=`dirname ${CDIR}`; export DNHOME
PATH=${CDIR}/tools/`uname`:$PATH; export PATH

if [ ! -f ${DNHOME}/dnwml.cgi ];  then
    echo "ERROR: invalid \$DNHOME=${DNHOME}"
    exit 1;
fi ;

if [ -d log ]; then
    echo "ERROR: don't need to update."
    exit 1;
else
    mkdir log
fi ;


# -------------------------------------
# UPDATE v10r12_v11r10
# -------------------------------------
LOGF=./log/v10r12_v11r10.log
(cd v10r12_v11r10; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

# -------------------------------------
# UPDATE v11r10_v20r10
# -------------------------------------
LOGF=./log/v11r10_v20r10.log
(cd v11r10_v20r10; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

# -------------------------------------
# UPDATE v20r10_v20r20
# -------------------------------------
LOGF=./log/v20r10_v20r20.log
(cd v20r10_v20r20; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

# -------------------------------------
# UPDATE v20r20_v20r22
# -------------------------------------
LOGF=./log/v20r20_v20r22.log
(cd v20r20_v20r22; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

# -------------------------------------
# UPDATE v20r22_v20r40
# -------------------------------------
LOGF=./log/v20r22_v20r40.log
(cd v20r22_v20r40; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

# -------------------------------------
# UPDATE v20r40_v20r41
# -------------------------------------
LOGF=./log/v20r40_v20r41.log
(cd v20r40_v20r41; sh ./update.sh ${DNHOME};) > $LOGF 2>&1
if [ `grep -v '^-' $LOGF | wc -l` -ne 0 ]; then
    grep -v '^-' $LOGF
    echo "ERROR."
    exit 1
fi

exit 0;
