/*---------------------------------------------------------*/
/* 共有リンク設定テーブル追加                              */
/* dnwmlcom.db                                             */
/* 確認方法 : dnwmlcom.db->dnwml_tbl00000000001A           */
/*            .schemaにて確認                              */
/*---------------------------------------------------------*/

CREATE TABLE DNWML_TBL00000000001A (
    ID                              CHAR(12) NOT NULL ,
    REGIST_DATE                     CHAR(14) ,
    UPDATE_DATE                     CHAR(14) ,
    SEQNO                           CHAR(12) ,
    COL000000001                    VARCHAR(255) NOT NULL ,
    COL000000002                    VARCHAR(1024) NOT NULL ,
    COL000000003                    CHAR(1) 
    ,PRIMARY KEY (ID)
    )
;

/* テーブルIDを追加 */
INSERT INTO DNWMLTM_TABLE (TABLE_ID,STATUS,REGIST_DATE,UPDATE_DATE,SEQNO,NAME_A,NAME,NOTE)
VALUES ('00000000001A','1','20071003000000','20071003000000','00000000001A','DNWML_TBL00000000001A','共有リンク情報','共有リンク情報を管理');

/* 共有リンクカラム追加 */
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','-1','3','12','1','1','1','0','20071003000000','','ID','id','','','-1','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','-2','3','14','1','0','0','0','20071003000000','','REGIST_DATE','','','type=4','-2','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','-3','3','14','1','0','0','0','20071003000000','','UPDATE_DATE','','','type=4','-3','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','-4','3','12','1','0','0','0','20071003000000','','SEQNO','','','','-4','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','1','3','255','1','1','0','0','20071003000000','','COL000000001','Name','','','1','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','2','3','1024','1','1','0','0','20071003000000','','COL000000002','url','','','2','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('00000000001A','3','9','1','1','0','0','0','20071003000000','','COL000000003','','','','3','0=表示、1=非表示');

/* 共有リンク論理カラム追加(日本語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-1','ja','20071003000000','','システムID','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-2','ja','20071003000000','','作成日','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-3','ja','20071003000000','','更新日','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-4','ja','20071003000000','','表示順','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','1','ja','20071003000000','','共有リンク名','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','2','ja','20071003000000','','URL','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','3','ja','20071003000000','','表示','0:表示	1:非表示');

/* 共有リンク論理カラム追加(英語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-1','en','20071003000000','','SystemID','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-2','en','20071003000000','','Creation Date','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-3','en','20071003000000','','Last Updated','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','-4','en','20071003000000','','Display Order','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','1','en','20071003000000','','Shared Link Name','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','2','en','20071003000000','','URL','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('00000000001A','3','en','20071003000000','','Show','0:Show	1:Hide');

/* 共通設定テーブルにカラムを追加 */
ALTER TABLE DNWML_TBL000000000015 ADD COL000000016 CHAR(1) DEFAULT 0;
ALTER TABLE DNWML_TBL000000000015 ADD COL000000017 CHAR(1) DEFAULT 0;
ALTER TABLE DNWML_TBL000000000015 ADD COL000000018 CHAR(1) DEFAULT 1;
ALTER TABLE DNWML_TBL000000000015 ADD COL000000019 NUMERIC(2) ;
ALTER TABLE DNWML_TBL000000000015 ADD COL000000040 CHAR(1) DEFAULT 1;

/* 共通設定カラム追加 */
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000015','16','9','1','1','0','0','0','20071005000000','','COL000000016','','0','','16','0=元のメールの宛先を返信時の宛先に含める、1=元のメールの宛先を返信時のCCに含める');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000015','17','9','1','1','0','0','0','20071005000000','','COL000000017','','0','','17','0=元のメールをメール本文に含める、1=元のメールをファイルとして添付する');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000015','18','8','1','1','0','0','0','20071005000000','','COL000000018','','1','','18','1=最終行まで表示したとき既読にする');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000015','19','5','2','1','0','0','0','20071005000000','','COL000000019','','','TLIMIT=99	BLIMIT=0','19','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000015','40','9','1','1','0','0','0','20071005000000','','COL000000040','','1','','40','0=表示する、1=表示しない');

/* 共通設定論理カラム定義追加(日本語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','16','ja','20071005000000','','全員へ返信時の宛先','0:元のメールの宛先を返信時の宛先に含める	1:元のメールの宛先を返信時のCCに含める');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','17','ja','20071005000000','','転送方法','0:元のメールをメール本文に含める	1:元のメールをファイルとして添付する');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','18','ja','20071005000000','','既読にするための条件','0:最終行まで表示しても既読にしない	1:最終行まで表示したとき既読にする');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','19','ja','20071005000000','','メールを表示してから既読にするまでの時間','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','40','ja','20071005000000','','メール容量の使用率','0:表示する	1:表示しない');

/* 共通設定論理カラム定義追加(英語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','16','en','20071005000000','','Recipients when Reply to All','0:Include ''To'' of the original messages in ''To''	1:Include ''To'' of the original messages in ''Cc''');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','17','en','20071005000000','','When forwarding a message','0:Include original message text	1:Attach original message');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','18','en','20071005000000','','Mark messages as read','0:Not mark a message as read when the last line is displayed	1:Mark a message as read when the last line is displayed');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','19','en','20071005000000','','Wait the specified seconds before marking as read','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000015','40','en','20071005000000','','Volume Use Rate','0:Show	1:Hide');

/* 共有リンク設定取得View情報追加 */
INSERT INTO DNWMLTM_VIEW (VIEW_ID,REGIST_DATE,UPDATE_DATE,SEQNO,TABLE_ID,VIEW_KIND,SQL_FORM,SQL_REAL,NOTE)
VALUES ('0000000001A1','20071003000000','20071003000000','0000000001A1','','','','SELECT ID,COL000000001,COL000000002,COL000000003,SEQNO FROM DNWML_TBL00000000001A ORDER BY SEQNO','共有リンク設定一覧');
INSERT INTO DNWMLTM_VIEW (VIEW_ID,REGIST_DATE,UPDATE_DATE,SEQNO,TABLE_ID,VIEW_KIND,SQL_FORM,SQL_REAL,NOTE)
VALUES ('0000000001A2','20071003000000','20071003000000','0000000001A2','','','','SELECT ID,COL000000001,COL000000002 FROM DNWML_TBL00000000001A WHERE COL000000003=''0'' ORDER BY SEQNO','共有リンク設定より、表示対象の一覧を取得する');

/* 共有リンク設定取得Viewカラム情報追加 */
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A1','1','00000000001A','-1','1','0');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A1','2','00000000001A','1','2','1');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A1','3','00000000001A','2','3','1');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A1','4','00000000001A','3','4','1');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A1','5','00000000001A','-4','5','0');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A2','1','00000000001A','-1','1','0');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A2','2','00000000001A','1','2','1');
INSERT INTO DNWMLTM_VIEWCOLMN (VIEW_ID,ID,TABLE_ID,COLUMN_ID,COLSEQNO,COLVIEW)
VALUES ('0000000001A2','3','00000000001A','2','3','1');

/* ユーザーデータベース関連スタート */
/* テーブルIDを追加 */
INSERT INTO DNWMLTM_TABLE (TABLE_ID,STATUS,REGIST_DATE,UPDATE_DATE,SEQNO,NAME_A,NAME,NOTE)
VALUES ('000000000039','1','20071016000000','','000000000039','DNWML_TBL000000000039','ユーザー情報','個人情報を管理する');

/* 個人情報カラム追加 */
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000039','-1','3','12','1','1','0','0','20071016000000','','PRIVATE_ID','','','','-1','ユーザーマスターテーブルと整合制約(DB用)');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000039','-2','3','12','1','1','1','0','20071016000000','','ID','','000000000001','','-2','1');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000039','-3','12','14','1','0','0','0','20071016000000','','REGIST_DATE','','','TYPE=4','-3','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000039','-4','12','14','1','0','0','0','20071016000000','','UPDATE_DATE','','','TYPE=4','-4','');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000039','1','20','63','1','0','0','0','20071016000000','','COL000000001','','','','1','');

/* 個人情報論理カラム追加(日本語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-1','ja','20061016000000','','ユーザーシステムID','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-2','ja','20061016000000','','システムID','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-3','ja','20061016000000','','作成日','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-4','ja','20061016000000','','更新日','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','1','ja','20061016000000','','パスワード','');

/* 個人情報論理カラム追加(英語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-1','en','20061016000000','','Personal System ID','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-2','en','20061016000000','','SystemID','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-3','en','20061016000000','','Creation Date','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','-4','en','20061016000000','','Last Updated','');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000039','1','en','20061016000000','','Password','');

/* 共通設定カラム追加 */
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000031','16','8','1','1','0','0','0','20071005000000','','COL000000016','returntype','0','','16','0=元のメールの宛先を返信時の宛先に含める、1=元のメールの宛先を返信時のCCに含める(初期値：元のメールの宛先を返信時の宛先に含める)');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000031','17','8','1','1','0','0','0','20071005000000','','COL000000017','fwdtype','0','','17','0=元のメールをメール本文に含める、1=元のメールをファイルとして添付する(元のメールをメール本文に含める)');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000031','18','8','1','1','0','0','0','20071005000000','','COL000000018','mlopentype','1','','18','1=最終行まで表示したとき既読にする、0=最終行まで表示しても既読にしない(初期値：1)');
INSERT INTO DNWMLTM_COLUMN (TABLE_ID,COLUMN_ID,COLUMN_TYPE,COLUMN_LEN,NOCHG,MUSTCHK,PKEY,UNIQ,REGIST_DATE,UPDATE_DATE,NAME_A,NAME_O,PREVAL,COLUMN_ATTR,SEQNO,NOTE)
VALUES ('000000000031','19','5','2','1','0','0','0','20071005000000','','COL000000019','mlopentime','','TLIMIT=99	BLIMIT=0','19','');

/* 共通設定論理カラム定義追加(日本語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','16','ja','20061005000000','','全員へ返信時の宛先','0:元のメールの宛先を返信時の宛先に含める	1:元のメールの宛先を返信時のCCに含める');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','17','ja','20061005000000','','転送方法','0:元のメールをメール本文に含める	1:元のメールをファイルとして添付する');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','18','ja','20061005000000','','既読にするための条件','0:最終行まで表示しても既読にしない	1:最終行まで表示したとき既読にする');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','19','ja','20061005000000','','メールを表示してから既読にするまでの時間','');

/* 共通設定論理カラム定義追加(英語) */
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','16','en','20061005000000','','Recipients when Reply to All','0:Include ''To'' of the original messages in ''To''	1:Include ''To'' of the original messages in ''Cc''');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','17','en','20061005000000','','When forwarding a message','0:Include original message text	1:Attach original message');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','18','en','20061005000000','','Mark messages as read','0:Not mark a message as read when the last line is displayed	1:Mark a message as read when the last line is displayed');
INSERT INTO DNWMLTM_LCOLUMN (TABLE_ID,COLUMN_ID,LANG_ID,REGIST_DATE,UPDATE_DATE,NAME,SELVAL)
VALUES ('000000000031','19','en','20061005000000','','Wait the specified seconds before marking as read','');