------------------------------------------------------------------
-- ディレクトリサービス情報 2007/11/27(Tue) 13:34:16
------------------------------------------------------------------

CREATE TABLE DNWML_TBL00000000001B (
    ID                              CHAR(12) NOT NULL ,
    REGIST_DATE                     CHAR(14) ,
    UPDATE_DATE                     CHAR(14) ,
    SEQNO                           CHAR(12) ,
    COL000000001                    VARCHAR(255) NOT NULL ,
    COL000000002                    VARCHAR(255) NOT NULL ,
    COL000000003                    VARCHAR(255) ,
    COL000000004                    VARCHAR(63) ,
    COL000000005                    NUMERIC(6) ,
    COL000000006                    NUMERIC(3) ,
    COL000000007                    VARCHAR(255) ,
    COL000000008                    CHAR(1) 
    ,PRIMARY KEY (ID)
    )
;

------------------------------------------------------------------
-- ディレクトリサービスマッピング情報 2007/11/27(Tue) 13:34:24
------------------------------------------------------------------

CREATE TABLE DNWML_TBL00000000001C (
    ID                              CHAR(12) NOT NULL ,
    REGIST_DATE                     CHAR(14) ,
    UPDATE_DATE                     CHAR(14) ,
    COL000000001                    CHAR(1) NOT NULL ,
    COL000000002                    VARCHAR(63) NOT NULL ,
    COL000000003                    VARCHAR(255) 
    ,PRIMARY KEY (ID,COL000000001,COL000000002)
    )
;

------------------------------------------------------------------
------------------------------------------------------------------

------------------------------------------------------------------
-- ディレクトリサービス情報の参照整合性制約
------------------------------------------------------------------
CREATE TRIGGER TRFK_DNWML_TBL00000000001C_01_INS BEFORE INSERT ON DNWML_TBL00000000001C
FOR EACH ROW BEGIN
 SELECT CASE
 WHEN ((select ID from DNWML_TBL00000000001B where ID=new.ID) IS NULL)
 THEN RAISE(ABORT, 'insert on table "DNWML_TBL00000000001C" violates foreign key')
 END;
END;

CREATE TRIGGER TRFK_DNWML_TBL00000000001C_01_DEL BEFORE DELETE ON DNWML_TBL00000000001B
FOR EACH ROW BEGIN
 DELETE from DNWML_TBL00000000001C WHERE ID=old.ID;
END;

------------------------------------------------------------------
-- エンコード設定の参照整合性制約（MANTIS0018429）
------------------------------------------------------------------

CREATE TRIGGER TRDNWML_TBL0000000000182 BEFORE INSERT ON DNWML_TBL000000000018
FOR EACH ROW BEGIN
 SELECT CASE
 WHEN ((select ID from DNWML_TBL000000000017 where ID=new.ID) IS NULL)
 THEN RAISE(ABORT , 'insert on table "DNWML_TBL000000000018" violates foreign key from DNWML_TBL000000000017') 
 END;
END;

CREATE TRIGGER TRDNWML_TBL000000000017 BEFORE DELETE ON DNWML_TBL000000000017
FOR EACH ROW BEGIN
 delete from DNWML_TBL000000000018 where ID=old.ID;
END;

------------------------------------------------------------------
-- アドレス帳のView情報を更新
------------------------------------------------------------------
UPDATE DNWMLTM_VIEW
	SET
		SQL_REAL='SELECT COL000000023, COUNT(*) as cnt FROM DNWML_TBL000000000041 WHERE PRIVATE_ID=? AND COL000000023 IS NOT NULL GROUP BY COL000000023,PRIVATE_ID' ,
		UPDATE_DATE='20071213000000'
	WHERE
		VIEW_ID='000000000414'
;
