/*---------------------------------------------------------*/
/* 個人情報テーブル追加                                    */
/* dnwmlpriXXXX.db                                         */
/* 確認方法 : dnwmlprixx.db->dnwml_tbl000000000039         */
/*            .schemaにて確認                              */
/*---------------------------------------------------------*/
/* アドレスグループ存在チェック */
CREATE TRIGGER TRDNWMLTMPR_ADDRGROUP_ADDR1 BEFORE INSERT ON DNWMLTMPR_ADDRGROUP_ADDR FOR EACH ROW
 BEGIN SELECT CASE WHEN ( 
  (select ID from DNWML_TBL000000000042 where ID=new.ID) IS NULL) 
  THEN RAISE(ABORT , 'insert on table "TRDNWMLTMPR_ADDRGROUP_ADDR" violates foreign key from DNWML_TBL000000000042') 
 END;
END;

/* アドレス存在チェック */
CREATE TRIGGER TRDNWMLTMPR_ADDRGROUP_ADDR2 BEFORE INSERT ON DNWMLTMPR_ADDRGROUP_ADDR FOR EACH ROW
 BEGIN SELECT CASE WHEN ( 
  (select ID from DNWML_TBL000000000041 where ID=new.ASSIGN_ID) IS NULL) 
  THEN RAISE(ABORT , 'insert on table "TRDNWMLTMPR_ADDRGROUP_ADDR" violates foreign key from DNWML_TBL000000000041') 
 END;
END;

/* アドレスグループ削除時にアドレスグループ所属アドレスを削除 */
CREATE TRIGGER TRDNWML_TBL0000000000421 BEFORE DELETE ON DNWML_TBL000000000042
FOR EACH ROW BEGIN
 DELETE from DNWMLTMPR_ADDRGROUP_ADDR WHERE ID=old.ID;
END;


/* アドレス削除時にアドレスグループ所属アドレスを削除 */
CREATE TRIGGER TRDNWML_TBL0000000000411 BEFORE DELETE ON DNWML_TBL000000000041
FOR EACH ROW BEGIN
 DELETE from DNWMLTMPR_ADDRGROUP_ADDR WHERE ASSIGN_ID=old.ID;
END;
